Update campaign status
curl --request POST \
--url https://app.botrep.ai/api/user/campaigns/update-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaign_id": 123,
"action": "<string>"
}
'import requests
url = "https://app.botrep.ai/api/user/campaigns/update-status"
payload = {
"campaign_id": 123,
"action": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({campaign_id: 123, action: '<string>'})
};
fetch('https://app.botrep.ai/api/user/campaigns/update-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"data": {
"campaign_id": 123,
"status": "<string>"
}
}Campaigns
Update campaign status
Start or stop a campaign in the BotRep.ai system
POST
/
user
/
campaigns
/
update-status
Update campaign status
This endpoint allows you to start or stop a campaign in the BotRep.ai system.
Request body
The ID of the campaign to update
The action to perform on the campaign. Must be either “start” or “stop”
Response
The message of the response
Whether the operation was successful
⌘I

